Go Down

Topic: [WIN] Aggiornam. compilatore IDE 0022-0023-1.0 all'ULTIMA VERSIONE ATMEL (Read 174626 times) previous topic - next topic

menniti

Ma stiamo parlando del core TINY per la 1.0?
Ci sono problemi anche con quello per la 0022/3?
Pomeriggio vorrei fare un po' di prove, finalmente.
Manuale "Arduino e le tecniche di programmazione dei microcontrollori ATMEL"
http://www.michelemenniti.it/manuale_di_programmazione.html
http://www.michelemenniti.it/offerta.html
Articoli ElettronicaIN
http://www.michelemenniti.it/elettronica_in.html

brainbooster

si, l'avevo anche precisato quando astrobeed me l'ha chiesto :) parliamo del nuovo tinycore.

menniti


si, l'avevo anche precisato quando astrobeed me l'ha chiesto :) parliamo del nuovo tinycore.

ah, scusa, m'era sfuggito, allora vado tranquillo :)
Manuale "Arduino e le tecniche di programmazione dei microcontrollori ATMEL"
http://www.michelemenniti.it/manuale_di_programmazione.html
http://www.michelemenniti.it/offerta.html
Articoli ElettronicaIN
http://www.michelemenniti.it/elettronica_in.html

brainbooster

comunque ,qualora il problema dovesse manifestarsi, la soluzione c'è ed è già stata collaudata .

astrobeed


Ma stiamo parlando del core TINY per la 1.0?
Ci sono problemi anche con quello per la 0022/3?


Si parliamo del core per la 1.0, con la 0022/0023 non ci sono problemi.

Scientia potentia est

testato

domanda un po' OT

ci sono micro Atmel compatibili con IDEarduino, magari usando questo nuovo compilatore, che integrano l'usb ?
- [Guida] IDE - http://goo.gl/ln6glr
- [Lib] ST7032i LCD I2C - http://goo.gl/GNojT6
- [Lib] PCF8574+HD44780 LCD I2C - http://goo.gl/r7CstH

astrobeed


ci sono micro Atmel compatibili con IDEarduino, magari usando questo nuovo compilatore, che integrano l'usb ?


Sicuramente l'atmega32u4, è il micro usato dalla Leonardo e risulta già incluso nell'IDE 1.0
Scientia potentia est

leo72

Provate anche con i "chipponi". La toolchain Atmel compilata ed usata su Linux non andava neanche con i Mega1280/2560 mentre compilava con i 644/1284.

menniti


Provate anche con i "chipponi". La toolchain Atmel compilata ed usata su Linux non andava neanche con i Mega1280/2560 mentre compilava con i 644/1284.

Ora collego l'ISP, installo il sofware e mi metto a fare un po' di prove con ciò che ho, a più tardi ;)
Manuale "Arduino e le tecniche di programmazione dei microcontrollori ATMEL"
http://www.michelemenniti.it/manuale_di_programmazione.html
http://www.michelemenniti.it/offerta.html
Articoli ElettronicaIN
http://www.michelemenniti.it/elettronica_in.html

astrobeed


Provate anche con i "chipponi". La toolchain Atmel compilata ed usata su Linux non andava neanche con i Mega1280/2560 mentre compilava con i


Non solo ho compilato, e verificato il funzionamento, sulla MEGA2560 di un programma complesso e di medio grosse dimensioni come MultiWii, ma ho pure verificato che non ci siano problemi con il famoso limite dei 128/64 K  :)
Scientia potentia est

menniti



Provate anche con i "chipponi". La toolchain Atmel compilata ed usata su Linux non andava neanche con i Mega1280/2560 mentre compilava con i


Non solo ho compilato, e verificato il funzionamento, sulla MEGA2560 di un programma complesso e di medio grosse dimensioni come MultiWii, ma ho pure verificato che non ci siano problemi con il famoso limite dei 128/64 K  :)


OTTIMO!!!!!
Ma ora dimmi, io ho la mia 0022 da sperimentazione, era pronta dall'altro giorno; ho scaricano la tua toolchainPatch2 ma la cartella include della 0022 non ha queste subcartelle, ha solo 3-4 file. La devo comunque mettere al posto di questa o questa è per la 1.0?
Manuale "Arduino e le tecniche di programmazione dei microcontrollori ATMEL"
http://www.michelemenniti.it/manuale_di_programmazione.html
http://www.michelemenniti.it/offerta.html
Articoli ElettronicaIN
http://www.michelemenniti.it/elettronica_in.html

astrobeed

#236
Mar 25, 2012, 05:04 pm Last Edit: Mar 25, 2012, 05:07 pm by astrobeed Reason: 1

Ma ora dimmi, io ho la mia 0022 da sperimentazione, era pronta dall'altro giorno; ho scaricano la tua toolchainPatch2 ma la cartella include della 0022 non ha queste subcartelle, ha solo 3-4 file. La devo comunque mettere al posto di questa o questa è per la 1.0?


La procedura di aggiornamento è identica a quella di WinAvr come descritto nel primo post di questo topic, incluso il salvataggio della cartella etc e del avrdude.exe originale, oppure usi quello nuovo ricompilato da B.B. , ovviamente andrai a sostituire la cartella AVR con quella della ToolChain Atmel e non con quella di WinAvr.
Fatto tutto sostituisci la cartella include che si trova sotto "..\arduino-0022\hardware\tools\avr\avr", attenzione al doppio "avr\avr", con la nuova cartella include che trovi nella patch 2.0, versione unificata per tutti gli IDE a partire dalla 0022.

Edit: a partire da oggi cessa il mio supporto per la patch della toolchain Atmel per le versione dell'IDE inferiori alla 1.0.
Il motivo è semplice le vecchie versioni sono obsolete e non più supportate dall'Arduino Team quindi non ho nessun motivo valido per dedicare tempo all'eliminazione di eventuali problemi con le vecchie release dell'IDE.


Scientia potentia est

menniti

Ah, ok, ora l'ho trovata, in effetti sto partendo dal lavoro di BB; finora ho dovuto scaricare 87Mb di Java DTK ]:D
Concordo sul fatto che  non c'è alcuna esigenza di continuare a lavorare sulle vecchie versioni; d'altra parte io terrò la doppia installazione: questa e quella originale; finché non leggo dappertutto che i problemi della 1.0 originale non sono risolti e i port delle lib non sono stati effettuati sto bene dove sto, e mi sa che ci starò per parecchio tempo, visto come stanno andando le cose ;)
Manuale "Arduino e le tecniche di programmazione dei microcontrollori ATMEL"
http://www.michelemenniti.it/manuale_di_programmazione.html
http://www.michelemenniti.it/offerta.html
Articoli ElettronicaIN
http://www.michelemenniti.it/elettronica_in.html

brainbooster

@Meniti quella build ha già tutto ciò che serve ed è oltre la rc1 (più che sperimentale).

menniti


@Meniti quella build ha già tutto ciò che serve ed è oltre la rc1 (più che sperimentale).

Sì, ma è precedente all'ultimo aggiornamento di Astro, che ora ho aggiunto, ora finalmente è partita e comincio un po' di prove  :smiley-sweat:
Manuale "Arduino e le tecniche di programmazione dei microcontrollori ATMEL"
http://www.michelemenniti.it/manuale_di_programmazione.html
http://www.michelemenniti.it/offerta.html
Articoli ElettronicaIN
http://www.michelemenniti.it/elettronica_in.html

Go Up